public inbox for frysk-cvs@sourceware.org
help / color / mirror / Atom feed
From: cagney@sourceware.org
To: frysk-cvs@sourceware.org
Subject: [SCM]  master: frysk-common/ChangeLog
Date: Tue, 08 Apr 2008 22:30:00 -0000	[thread overview]
Message-ID: <20080408223046.15269.qmail@sourceware.org> (raw)

The branch, master has been updated
       via  9305be13d1afb83b0c2e9ea006c0b91a44c9e9fd (commit)
      from  f8e933b5cfed19b7d32a94efb00d9a49c05f7a2d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email.

- Log -----------------------------------------------------------------
commit 9305be13d1afb83b0c2e9ea006c0b91a44c9e9fd
Author: Andrew Cagney <cagney@redhat.com>
Date:   Tue Apr 8 18:29:23 2008 -0400

    frysk-common/ChangeLog
    2008-04-08  Andrew Cagney  <cagney@redhat.com>
    
    	* javadocs.sh: Extract from ../Makefile.am.
    
    frysk-top/ChangeLog
    2008-04-08  Andrew Cagney  <cagney@redhat.com>
    
    	* Makefile.am (javadoc): Use frysk-common/javadocs.sh.

-----------------------------------------------------------------------

Summary of changes:
 frysk-common/ChangeLog   |    4 ++
 frysk-common/javadocs.sh |  109 ++++++++++++++++++++++++++++++++++++++++++++++
 frysk-top/ChangeLog      |    4 ++
 frysk-top/Makefile.am    |   67 +++-------------------------
 4 files changed, 125 insertions(+), 59 deletions(-)
 create mode 100644 frysk-common/javadocs.sh

First 500 lines of diff:
diff --git a/frysk-common/ChangeLog b/frysk-common/ChangeLog
index 43689c0..a86d218 100644
--- a/frysk-common/ChangeLog
+++ b/frysk-common/ChangeLog
@@ -1,3 +1,7 @@
+2008-04-08  Andrew Cagney  <cagney@redhat.com>
+
+	* javadocs.sh: Extract from ../Makefile.am.
+
 2008-04-04  Andrew Cagney  <cagney@redhat.com>
 
 	* manpages.sh: Don't apply SUBST.
diff --git a/frysk-common/javadocs.sh b/frysk-common/javadocs.sh
new file mode 100644
index 0000000..868167c
--- /dev/null
+++ b/frysk-common/javadocs.sh
@@ -0,0 +1,109 @@
+#!/bin/sh -e
+
+# This file is part of the program FRYSK.
+#
+# Copyright 2005, 2006, 2007, 2008, Red Hat Inc.
+#
+# FRYSK is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# FRYSK is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with FRYSK; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+# 
+# In addition, as a special exception, Red Hat, Inc. gives You the
+# additional right to link the code of FRYSK with code not covered
+# under the GNU General Public License ("Non-GPL Code") and to
+# distribute linked combinations including the two, subject to the
+# limitations in this paragraph. Non-GPL Code permitted under this
+# exception must only link to the code of FRYSK through those well
+# defined interfaces identified in the file named EXCEPTION found in
+# the source code files (the "Approved Interfaces"). The files of
+# Non-GPL Code may instantiate templates or use macros or inline
+# functions from the Approved Interfaces without causing the
+# resulting work to be covered by the GNU General Public
+# License. Only Red Hat, Inc. may make changes or additions to the
+# list of Approved Interfaces. You must obey the GNU General Public
+# License in all respects for all of the FRYSK code and other code
+# used in conjunction with FRYSK except the Non-GPL Code covered by
+# this exception. If you modify this file, you may extend this
+# exception to your version of the file, but you are not obligated to
+# do so. If you do not wish to provide this exception without
+# modification, you must delete this exception statement from your
+# version and license this file solely under the GPL without
+# exception.
+
+if test $# -lt 2 ; then
+    echo "Usage: $0 <javadoc> <overview> <sourcedirs>" 1>&2
+    exit 1
+fi
+
+javadoc=$1 ; shift
+overview=$1 ; shift
+sourcedirs="$@"
+
+for scope in public private ; do
+    rm -rf javadoc/$scope javadoc/source/$scope
+    mkdir -p javadoc/$scope
+    mkdir -p javadoc/source/$scope
+    # Copy all the source to a single directory tree.
+    for path in ${sourcedirs} ; do
+	test -d $path || continue
+	d=`dirname $path`
+	b=`basename $path`
+	echo "Copying $d : $b"
+	(
+	    cd $d
+	    find $b \
+		-path '*/*dir/*' -prune \
+		-path '*/*tmp/*' -prune \
+		-o -name '[A-Za-z]*\.java' -print \
+		-o -name 'package.html' -print \
+		-o -path '*/doc-files/*.jpg' -print \
+		| tar cfT - -
+	    ) | (
+	    cd javadoc/source/$scope
+	    tar xpf -
+            )
+    done
+    # Strip out any Test files from the public sources; so that they
+    # don't confuse the package list.
+    case $scope in
+	public ) find javadoc/source/$scope \
+	    -name 'Test[A-Z]*' -print \
+	    -o -name 'Stress[A-Z]*' -print \
+	    | xargs rm
+	    ;;
+    esac
+    # Generate the javadoc.
+    jg=http://developer.gnome.org/doc/API/java-gnome
+    ${javadoc} \
+	-$scope \
+	-link http://developer.classpath.org/doc/ \
+	-link ${jg}/glib-java-0.4.0/api/ \
+	-link ${jg}/cairo-java-1.0.6/api/ \
+	-link ${jg}/libgtk-java-2.10.0/api/ \
+	-link ${jg}/libglade-java-2.12.7/api/ \
+	-link ${jg}/libgnome-java-2.12.6/api/ \
+	-link ${jg}/libgconf-java-2.12.5/api/ \
+	-link ${jg}/libvte-java-0.12.2/api/ \
+	-overview ${overview} \
+	-source 1.4 \
+	-d javadoc/$scope \
+	-use \
+	-linksource \
+	-doctitle '<em>frysk</em> - Execution Analysis And Debugging Technology' \
+	-windowtitle 'FRYSK' \
+	-group "<em>frysk</em> Packages" 'frysk*' \
+	-group "Imported Packages" 'inua*:jline*:junit*:gnu*' \
+	-group "Native Bindings" 'lib*' \
+	-sourcepath javadoc/source/$scope \
+	-subpackages frysk:lib:inua:jline:junit:gnu
+	
+done
diff --git a/frysk-top/ChangeLog b/frysk-top/ChangeLog
index 5f04098..e34b7f6 100644
--- a/frysk-top/ChangeLog
+++ b/frysk-top/ChangeLog
@@ -1,3 +1,7 @@
+2008-04-08  Andrew Cagney  <cagney@redhat.com>
+
+	* Makefile.am (javadoc): Use frysk-common/javadocs.sh.
+
 2008-04-04  Andrew Cagney  <cagney@redhat.com>
 
 	* Makefile.am (frysk-common/frysk.7): Fix typo; $<, not $@.tmp.
diff --git a/frysk-top/Makefile.am b/frysk-top/Makefile.am
index fe7b1fb..d852fba 100644
--- a/frysk-top/Makefile.am
+++ b/frysk-top/Makefile.am
@@ -94,64 +94,14 @@ manpages manpages/index.html:
 # Generate JAVADOC documentation.
 JAVADOC = javadoc
 JAVADOC_CLASSPATH = /usr/share/java/libgcj-`$(GCJ) -dumpversion`.jar
+CLEANFILES += javadoc
 .PHONY: javadoc
-javadoc: all
-	for scope in public private ; do \
-		rm -rf javadoc/$$scope javadoc/source/$$scope ; \
-		mkdir -p javadoc/$$scope ; \
-		mkdir -p javadoc/source/$$scope ; \
-		for path in $(SOURCEDIRS) ; do \
-			test -d $$path || continue ; \
-			d=`dirname $$path` ; \
-			b=`basename $$path` ; \
-			echo "Copying $$d : $$b" ; \
-			( \
-				cd $$d ; \
-				find $$b \
-				-path '*/*dir/*' -prune \
-				-path '*/*tmp/*' -prune \
-				-o -name '[A-Za-z]*\.java' -print \
-				-o -name 'package.html' -print \
-				-o -path '*/doc-files/*.jpg' -print \
-				| tar cfT - - ; \
-			) | ( \
-				cd javadoc/source/$$scope ; \
-				tar xpf - ; \
-			) \
-		done ; \
-		case $$scope in \
-			public ) find javadoc/source/$$scope \
-				-name 'Test[A-Z]*' -print \
-				-o -name 'Stress[A-Z]*' -print \
-				| xargs rm \
-				;; \
-		esac ; \
-		jg=http://developer.gnome.org/doc/API/java-gnome ; \
-		CLASSPATH=$(JAVADOC_CLASSPATH):$(subst $(space),:,$(FRYSK_GNOME_JARS)) \
-			$(JAVADOC) \
-			-$$scope \
-			-link http://developer.classpath.org/doc/ \
-			-link $${jg}/glib-java-0.4.0/api/ \
-			-link $${jg}/cairo-java-1.0.6/api/ \
-			-link $${jg}/libgtk-java-2.10.0/api/ \
-			-link $${jg}/libglade-java-2.12.7/api/ \
-			-link $${jg}/libgnome-java-2.12.6/api/ \
-			-link $${jg}/libgconf-java-2.12.5/api/ \
-			-link $${jg}/libvte-java-0.12.2/api/ \
-			-overview $(srcdir)/overview.html \
-			-source 1.4 \
-			-d javadoc/$$scope \
-			-use \
-			-linksource \
-			-doctitle '<em>frysk</em> - Execution Analysis And Debugging Technology' \
-			-windowtitle 'FRYSK' \
-			-group "<em>frysk</em> Packages" 'frysk*' \
-			-group "Imported Packages" 'inua*:jline*:junit*:gnu*' \
-			-group "Native Bindings" 'lib*' \
-			-sourcepath javadoc/source/$$scope \
-			-subpackages frysk:lib:inua:jline:junit:gnu \
-		; \
-	done
+javadoc javadoc/private/index.html:
+	CLASSPATH=$(JAVADOC_CLASSPATH):$(subst $(space),:,$(FRYSK_GNOME_JARS)) \
+	sh $(srcdir)/frysk-common/javadocs.sh \
+		$(JAVADOC) \
+		$(srcdir)/overview.html \
+		$(SOURCEDIRS)
 \f
 UPLOAD_FLAGS =	--fuzzy \
 		--delete-during \
@@ -185,11 +135,10 @@ UPLOAD = echo "Don't worry too much about directory permission warnings" ; \
 	 rsync $(UPLOAD_FLAGS)
 
 .PHONY: upload-javadoc
-upload-javadoc:
+upload-javadoc: javadoc/private/index.html
 	$(UPLOAD) \
 		javadoc/public javadoc/private \
 		sourceware.org:/sourceware/www/sourceware/htdocs/frysk/javadoc
-CLEANFILES += javadoc
 
 .PHONY: upload-manpages
 upload-manpages: manpages/index.html


hooks/post-receive
--
frysk system monitor/debugger


             reply	other threads:[~2008-04-08 22:30 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2008-04-08 22:30 cagney [this message]
  -- strict thread matches above, loose matches on Subject: below --
2008-04-14 18:21 cagney
2007-12-08  1:07 cagney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20080408223046.15269.qmail@sourceware.org \
    --to=cagney@sourceware.org \
    --cc=frysk-cvs@sourceware.org \
    --cc=frysk@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).